Name:          gluqlo
Version:       1.1.20211231git
Release:       2mamba
Summary:       A SDL remake of well-known awesome Fliqlo screensaver
Group:         Graphical Desktop/Look 'n' feel/Screensavers
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/alexanderk23/gluqlo
Source:        https://github.com/alexanderk23/gluqlo.git/master/gluqlo-%{version}.tar.bz2
Patch0:        gluqlo-1.1.20211231git-xscreensaver-6.06.patch
License:       ISC
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libSDL-devel
BuildRequires: libSDL_gfx-devel
BuildRequires: libSDL_ttf-devel
BuildRequires: libX11-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: libSDL_gfx-devel >= 2.0.26

%description
Gluqlo (or Глюкало, if you prefer) is a SDL remake of well-known awesome Fliqlo screensaver which is originally avaliable for Windows and OSX platforms only. Gluqlo is inspired by (and to some extent is based on) noflipqlo aka Now Open Flipqlo 2.0 by Jacek Kuźniarski. Currently it's very close to original Fliqlo (as I hope).

%package -n xscreensaver-gluqlo
Summary:       A SDL remake of well-known awesome Fliqlo screensaver
Group:         Graphical Desktop/Look 'n' feel/Screensavers
Requires:      xscreensaver-daemon

%description -n xscreensaver-gluqlo
Gluqlo (or Глюкало, if you prefer) is a SDL remake of well-known awesome Fliqlo screensaver which is originally avaliable for Windows and OSX platforms only. Gluqlo is inspired by (and to some extent is based on) noflipqlo aka Now Open Flipqlo 2.0 by Jacek Kuźniarski. Currently it's very close to original Fliqlo (as I hope).

%debug_package

%prep
%setup -q
%patch 0 -p1
sed -i "s|-o root||" Makefile
sed -i "s|/usr/share/xscreensaver/config|%{_sysconfdir}/xscreensaver|" Makefile
sed -i "s|/usr/lib|%{_libexecdir}|" Makefile gluqlo.desktop
sed -i "/strip gluqlo/d" Makefile

%build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -n xscreensaver-gluqlo
%defattr(-,root,root)
%{_sysconfdir}/xscreensaver/gluqlo.xml
%{_libexecdir}/xscreensaver/gluqlo
%{_datadir}/applications/screensavers/gluqlo.desktop
%{_datadir}/gluqlo/gluqlo.ttf
%{_datadir}/pixmaps/gluqlo.png
%doc LICENSE

%changelog
* Mon Mar 27 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.20211231git-2mamba
- patch for xscreensaver 6.06 to accept e.g. --root argument in addition to -root

* Fri Dec 31 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.20211231git-1mamba
- update to 1.1.20211231git

* Thu Feb 11 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.20210211git-1mamba
- update to 1.1.20210211git

* Sun Feb 07 2021 Automatic Build System <autodist@mambasoft.it> 1.1-1mamba
- automatic version update by autodist

* Sat Jul 06 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.20190706git-1mamba
- package created using the webbuild interface
